# Class VMMismatchException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jdi.VMMismatchException

All Implemented Interfaces:
  `Serializable`

public class VMMismatchException extends RuntimeException
Thrown to indicate that the requested operation cannot be completed because the mirror from one target VM is being combined with a mirror from another target VM.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VMMismatchException()`
`VMMismatchException(String s)`

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VMMismatchException

public VMMismatchException()

### VMMismatchException

public VMMismatchException(String s)